{{page-title @model.space.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.space.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      {{#if @model.space.canEdit}}
        <LinkTo @route="manage.pages.add" @query={{hash spaceId=@model.space.id}} class="btn btn-add-page me-1">
          <FaIcon @icon="plus" />
          {{t "page"}}
        </LinkTo>
      {{/if}}

      {{#if @model.space.matomoUrl}}
        <a href={{@model.space.matomoUrl}} target="_blank" class="btn btn-analytics me-3" rel="noopener noreferrer">
          <FaIcon @icon="chart-line" />
          {{t "open"}}
        </a>
      {{/if}}

      <a href="https://{{@model.space.domain}}" target="_blank" class="btn btn-open me-3" rel="noopener noreferrer">
        <FaIcon @icon="arrow-up-right-from-square" />
        {{t "open"}}
      </a>

      {{#if @model.space.canEdit}}
        <LinkTo @route="manage.spaces.edit" @model={{@model.space.id}} class="btn btn-edit float-end">
          <FaIcon @icon="pencil-alt" />
          {{t "space"}}
        </LinkTo>

        <div class="clearfix"></div>
      {{/if}}
    </:extra>
    <:content>
      <Manage::SelectableListGroup
        @query={{this.query}}
        @value={{this.pages}}
        @reload={{this.reload}}
        as |page selection onSelect|
      >
        <div class="col">
          <Manage::Card
            class="card-dashboard-page"
            @record={{page}}
            @selection={{selection}}
            @onSelect={{onSelect}}
            @onClick={{fn this.browsePage page}}
            @onDelete={{this.deleteRecord}}
          >
            <:content>
              {{#if page.description}}
                <p class="page-description">{{page.description}}</p>
              {{/if}}
              <div>
                <a class="ms-2 float-end" href="https://{{@model.space.domain}}{{page.path}}" target="_blank" rel="noopener noreferrer">
                  <FaIcon @icon="arrow-up-right-from-square" />
                </a>
                <small class="text-secondary page-relative-path"><strong>{{page.path}}
                    {{#unless page.path}}/{{/unless}}
                  </strong></small>
              </div>
            </:content>
          </Manage::Card>
        </div>
      </Manage::SelectableListGroup>
    </:content>
  </Manage::Container>
{{/if}}